PrivilegeControllerGetEffectiveAccountPrivilegesForAccount Method |
GET /Privilege/EffectiveAccountApplicationPrivileges/{id}
Gets the effective application privileges for a specified account.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("EffectiveAccountApplicationPrivileges")]
public IActionResult GetEffectiveAccountPrivilegesForAccount(
Guid id,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("EffectiveAccountApplicationPrivileges")>
Public Function GetEffectiveAccountPrivilegesForAccount (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"EffectiveAccountApplicationPrivileges")]
IActionResult^ GetEffectiveAccountPrivilegesForAccount(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("EffectiveAccountApplicationPrivileges")>]
member GetEffectiveAccountPrivilegesForAccount :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the account to get the effective privilege assignments for. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResult
An array of
Guid object containing requested information or a status code indicating the reason for a failure.
See Also